<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemo_DataPathObj_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemo_DataPathObj_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Millimeter Wave Demo Data Path Information.  
 <a href="struct_mmw_demo___data_path_obj__t.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7731fa5ec0f33bc0be36868ec7b8d8b3"><td class="memItemLeft" align="right" valign="top">MmwDemo_CliCfg_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a7731fa5ec0f33bc0be36868ec7b8d8b3">cliCfg</a></td></tr>
<tr class="separator:a7731fa5ec0f33bc0be36868ec7b8d8b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2ac9fb18ed87a854b27da5a8fbf66a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa2ac9fb18ed87a854b27da5a8fbf66a"></a>
MmwDemo_CliCommonCfg_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#aaa2ac9fb18ed87a854b27da5a8fbf66a">cliCommonCfg</a></td></tr>
<tr class="memdesc:aaa2ac9fb18ed87a854b27da5a8fbf66a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to cli config common to all subframes. <br /></td></tr>
<tr class="separator:aaa2ac9fb18ed87a854b27da5a8fbf66a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ba941f9a31d143f5210fb925a825250"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ba941f9a31d143f5210fb925a825250"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a2ba941f9a31d143f5210fb925a825250">numRxAntennas</a></td></tr>
<tr class="memdesc:a2ba941f9a31d143f5210fb925a825250"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of receive channels. <br /></td></tr>
<tr class="separator:a2ba941f9a31d143f5210fb925a825250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9668b94635fd5fced1e2065f04602c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9668b94635fd5fced1e2065f04602c7"></a>
ADCBuf_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#aa9668b94635fd5fced1e2065f04602c7">adcbufHandle</a></td></tr>
<tr class="memdesc:aa9668b94635fd5fced1e2065f04602c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADCBUF handle. <br /></td></tr>
<tr class="separator:aa9668b94635fd5fced1e2065f04602c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a856b6fe6bfec5dba705766915113b396"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a856b6fe6bfec5dba705766915113b396"></a>
EDMA_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a856b6fe6bfec5dba705766915113b396">edmaHandle</a></td></tr>
<tr class="memdesc:a856b6fe6bfec5dba705766915113b396"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle of the EDMA driver. <br /></td></tr>
<tr class="separator:a856b6fe6bfec5dba705766915113b396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3392a12b1114ae95bb01c896c214516"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3392a12b1114ae95bb01c896c214516"></a>
EDMA_errorInfo_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ae3392a12b1114ae95bb01c896c214516">EDMA_errorInfo</a></td></tr>
<tr class="memdesc:ae3392a12b1114ae95bb01c896c214516"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA error Information when there are errors like missing events. <br /></td></tr>
<tr class="separator:ae3392a12b1114ae95bb01c896c214516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa43348e7a0d30c7780b9da3016180eb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa43348e7a0d30c7780b9da3016180eb7"></a>
EDMA_transferControllerErrorInfo_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#aa43348e7a0d30c7780b9da3016180eb7">EDMA_transferControllerErrorInfo</a></td></tr>
<tr class="memdesc:aa43348e7a0d30c7780b9da3016180eb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA transfer controller error information. <br /></td></tr>
<tr class="separator:aa43348e7a0d30c7780b9da3016180eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ff0bea533d3217a27678ee6e4fce216"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ff0bea533d3217a27678ee6e4fce216"></a>
Semaphore_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a8ff0bea533d3217a27678ee6e4fce216">EDMA_1Ddone_semHandle</a></td></tr>
<tr class="memdesc:a8ff0bea533d3217a27678ee6e4fce216"><td class="mdescLeft">&#160;</td><td class="mdescRight">Semaphore handle for 1D EDMA completion. <br /></td></tr>
<tr class="separator:a8ff0bea533d3217a27678ee6e4fce216"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8cf99deb05920fa05e28e2862bfc92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f8cf99deb05920fa05e28e2862bfc92"></a>
Semaphore_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a6f8cf99deb05920fa05e28e2862bfc92">EDMA_2Ddone_semHandle</a></td></tr>
<tr class="memdesc:a6f8cf99deb05920fa05e28e2862bfc92"><td class="mdescLeft">&#160;</td><td class="mdescRight">Semaphore handle for 2D EDMA completion. <br /></td></tr>
<tr class="separator:a6f8cf99deb05920fa05e28e2862bfc92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a712cb6634bd09b16143234eee74e186a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a712cb6634bd09b16143234eee74e186a"></a>
Semaphore_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a712cb6634bd09b16143234eee74e186a">EDMA_CFARdone_semHandle</a></td></tr>
<tr class="memdesc:a712cb6634bd09b16143234eee74e186a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Semaphore handle for CFAR EDMA completion. <br /></td></tr>
<tr class="separator:a712cb6634bd09b16143234eee74e186a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeac1585b27f3830958e4324913614d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abeac1585b27f3830958e4324913614d9"></a>
HWA_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#abeac1585b27f3830958e4324913614d9">hwaHandle</a></td></tr>
<tr class="memdesc:abeac1585b27f3830958e4324913614d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle to hardware accelerator driver. <br /></td></tr>
<tr class="separator:abeac1585b27f3830958e4324913614d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7466a3bd509c6871aa2bbbb0475b0b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7466a3bd509c6871aa2bbbb0475b0b1"></a>
Semaphore_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ae7466a3bd509c6871aa2bbbb0475b0b1">HWA_done_semHandle</a></td></tr>
<tr class="memdesc:ae7466a3bd509c6871aa2bbbb0475b0b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Semaphore handle for Hardware accelerator completion. <br /></td></tr>
<tr class="separator:ae7466a3bd509c6871aa2bbbb0475b0b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff3143a7e52b69136dc2967f25bddc82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff3143a7e52b69136dc2967f25bddc82"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#aff3143a7e52b69136dc2967f25bddc82">hwaDoneIsrCounter</a></td></tr>
<tr class="memdesc:aff3143a7e52b69136dc2967f25bddc82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardware accelerator Completion Isr count for debug purposes. <br /></td></tr>
<tr class="separator:aff3143a7e52b69136dc2967f25bddc82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d078ebceb6fd663beb67b5618a1649"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04d078ebceb6fd663beb67b5618a1649"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a04d078ebceb6fd663beb67b5618a1649">frameStartIntCounter</a></td></tr>
<tr class="memdesc:a04d078ebceb6fd663beb67b5618a1649"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame counter incremented in frame start interrupt handler. <br /></td></tr>
<tr class="separator:a04d078ebceb6fd663beb67b5618a1649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45d12724a22313b2caf24cef59470690"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45d12724a22313b2caf24cef59470690"></a>
Semaphore_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a45d12724a22313b2caf24cef59470690">frameStart_semHandle</a></td></tr>
<tr class="memdesc:a45d12724a22313b2caf24cef59470690"><td class="mdescLeft">&#160;</td><td class="mdescRight">Semaphore handle for Frame start indication. <br /></td></tr>
<tr class="separator:a45d12724a22313b2caf24cef59470690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04908964ff27c27c3c064d0cf2083476"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04908964ff27c27c3c064d0cf2083476"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a04908964ff27c27c3c064d0cf2083476">numHwaCfarDetections</a></td></tr>
<tr class="memdesc:a04908964ff27c27c3c064d0cf2083476"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of CFAR detections by Hardware accelerator for debug purposes. <br /></td></tr>
<tr class="separator:a04908964ff27c27c3c064d0cf2083476"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acee60d379ff879bc6d845231c49fa784"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acee60d379ff879bc6d845231c49fa784"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#acee60d379ff879bc6d845231c49fa784">numObjOut</a></td></tr>
<tr class="memdesc:acee60d379ff879bc6d845231c49fa784"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of detected objects. <br /></td></tr>
<tr class="separator:acee60d379ff879bc6d845231c49fa784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace23b31b37f92fccf90a9fee64f4c3c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace23b31b37f92fccf90a9fee64f4c3c6"></a>
MmwDemo_detectedObj&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ace23b31b37f92fccf90a9fee64f4c3c6">objOut</a> [MMW_MAX_OBJ_OUT]</td></tr>
<tr class="memdesc:ace23b31b37f92fccf90a9fee64f4c3c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">output object array <br /></td></tr>
<tr class="separator:ace23b31b37f92fccf90a9fee64f4c3c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1776979934fea88c40e6d8e6d0c65b52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1776979934fea88c40e6d8e6d0c65b52"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a1776979934fea88c40e6d8e6d0c65b52">noiseEnergy</a></td></tr>
<tr class="memdesc:a1776979934fea88c40e6d8e6d0c65b52"><td class="mdescLeft">&#160;</td><td class="mdescRight">noise energy <br /></td></tr>
<tr class="separator:a1776979934fea88c40e6d8e6d0c65b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1588bea668908a0ae95af4530cd42a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1588bea668908a0ae95af4530cd42a2"></a>
uint32_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ad1588bea668908a0ae95af4530cd42a2">radarCube</a></td></tr>
<tr class="memdesc:ad1588bea668908a0ae95af4530cd42a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to Radar Cube memory in L3 RAM. <br /></td></tr>
<tr class="separator:ad1588bea668908a0ae95af4530cd42a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b34b26bcf3a05b5725534bfab01e98b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b34b26bcf3a05b5725534bfab01e98b"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a3b34b26bcf3a05b5725534bfab01e98b">rangeDopplerLogMagMatrix</a></td></tr>
<tr class="memdesc:a3b34b26bcf3a05b5725534bfab01e98b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to range-doppler log magnitude matrix memory in L3 RAM. <br /></td></tr>
<tr class="separator:a3b34b26bcf3a05b5725534bfab01e98b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2a35948f279fb20df7acf9b08a20d40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2a35948f279fb20df7acf9b08a20d40"></a>
<a class="el" href="data__path_8h.html#a16f0ee49e3b6e93b1911bddbb137ec8c">cfarDetOutput_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ae2a35948f279fb20df7acf9b08a20d40">cfarDetectionOut</a></td></tr>
<tr class="memdesc:ae2a35948f279fb20df7acf9b08a20d40"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to CFAR detection output in L3 RAM <br /></td></tr>
<tr class="separator:ae2a35948f279fb20df7acf9b08a20d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac620452ea05923fa3481b80ca06368da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac620452ea05923fa3481b80ca06368da"></a>
cmplx16ImRe_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ac620452ea05923fa3481b80ca06368da">azimuthStaticHeatMap</a></td></tr>
<tr class="memdesc:ac620452ea05923fa3481b80ca06368da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to 2D FFT array in range direction, at doppler index 0, for static azimuth heat map. <br /></td></tr>
<tr class="separator:ac620452ea05923fa3481b80ca06368da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bcbfc09e02300065e0fd4aab4c6063a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4bcbfc09e02300065e0fd4aab4c6063a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a4bcbfc09e02300065e0fd4aab4c6063a">validProfileIdx</a></td></tr>
<tr class="memdesc:a4bcbfc09e02300065e0fd4aab4c6063a"><td class="mdescLeft">&#160;</td><td class="mdescRight">valid Profile index <br /></td></tr>
<tr class="separator:a4bcbfc09e02300065e0fd4aab4c6063a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa31038cfcf5f9bcbfcf917c58f8e82d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa31038cfcf5f9bcbfcf917c58f8e82d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#afa31038cfcf5f9bcbfcf917c58f8e82d">numTxAntennas</a></td></tr>
<tr class="memdesc:afa31038cfcf5f9bcbfcf917c58f8e82d"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of transmit antennas <br /></td></tr>
<tr class="separator:afa31038cfcf5f9bcbfcf917c58f8e82d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ec98ec6ec15452a35c208a08eabf3be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ec98ec6ec15452a35c208a08eabf3be"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a2ec98ec6ec15452a35c208a08eabf3be">numVirtualAntennas</a></td></tr>
<tr class="memdesc:a2ec98ec6ec15452a35c208a08eabf3be"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of virtual antennas <br /></td></tr>
<tr class="separator:a2ec98ec6ec15452a35c208a08eabf3be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e928faf45141cb8e42fffd53e5418d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39e928faf45141cb8e42fffd53e5418d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a39e928faf45141cb8e42fffd53e5418d">numVirtualAntAzim</a></td></tr>
<tr class="memdesc:a39e928faf45141cb8e42fffd53e5418d"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of virtual azimuth antennas <br /></td></tr>
<tr class="separator:a39e928faf45141cb8e42fffd53e5418d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af50eb3c4b1d6a14eddce36c1de59f503"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af50eb3c4b1d6a14eddce36c1de59f503"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#af50eb3c4b1d6a14eddce36c1de59f503">numVirtualAntElev</a></td></tr>
<tr class="memdesc:af50eb3c4b1d6a14eddce36c1de59f503"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of virtual elevation antennas <br /></td></tr>
<tr class="separator:af50eb3c4b1d6a14eddce36c1de59f503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b60394e6506cdfce712f98c037e0cdf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b60394e6506cdfce712f98c037e0cdf"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a7b60394e6506cdfce712f98c037e0cdf">numAdcSamples</a></td></tr>
<tr class="memdesc:a7b60394e6506cdfce712f98c037e0cdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of ADC samples <br /></td></tr>
<tr class="separator:a7b60394e6506cdfce712f98c037e0cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac731ec54c278bf5ac31ddbff10dd6a1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac731ec54c278bf5ac31ddbff10dd6a1b"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ac731ec54c278bf5ac31ddbff10dd6a1b">numRangeBins</a></td></tr>
<tr class="memdesc:ac731ec54c278bf5ac31ddbff10dd6a1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of range bins <br /></td></tr>
<tr class="separator:ac731ec54c278bf5ac31ddbff10dd6a1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a085f1eedade843219f1502a76d907cb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a085f1eedade843219f1502a76d907cb2"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a085f1eedade843219f1502a76d907cb2">numChirpsPerFrame</a></td></tr>
<tr class="memdesc:a085f1eedade843219f1502a76d907cb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of chirps per frame <br /></td></tr>
<tr class="separator:a085f1eedade843219f1502a76d907cb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c29482c14d440200e5ab5c0df179325"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c29482c14d440200e5ab5c0df179325"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a9c29482c14d440200e5ab5c0df179325">numAngleBins</a></td></tr>
<tr class="memdesc:a9c29482c14d440200e5ab5c0df179325"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of angle bins <br /></td></tr>
<tr class="separator:a9c29482c14d440200e5ab5c0df179325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fac068a8e92a416d8e43190e3c1cae6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fac068a8e92a416d8e43190e3c1cae6"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a2fac068a8e92a416d8e43190e3c1cae6">numDopplerBins</a></td></tr>
<tr class="memdesc:a2fac068a8e92a416d8e43190e3c1cae6"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of doppler bins <br /></td></tr>
<tr class="separator:a2fac068a8e92a416d8e43190e3c1cae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade63827ad360ffab08616c45e36e90de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade63827ad360ffab08616c45e36e90de"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#ade63827ad360ffab08616c45e36e90de">numRangeBinsPerTransfer</a></td></tr>
<tr class="memdesc:ade63827ad360ffab08616c45e36e90de"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of range bins per transfer <br /></td></tr>
<tr class="separator:ade63827ad360ffab08616c45e36e90de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9665b750a1da438cf93d6a04dcd27830"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9665b750a1da438cf93d6a04dcd27830"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a9665b750a1da438cf93d6a04dcd27830">rangeResolution</a></td></tr>
<tr class="memdesc:a9665b750a1da438cf93d6a04dcd27830"><td class="mdescLeft">&#160;</td><td class="mdescRight">range resolution in meters <br /></td></tr>
<tr class="separator:a9665b750a1da438cf93d6a04dcd27830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a204c5754250d835894af0fba5d0ef504"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a204c5754250d835894af0fba5d0ef504"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a204c5754250d835894af0fba5d0ef504">xyzOutputQFormat</a></td></tr>
<tr class="memdesc:a204c5754250d835894af0fba5d0ef504"><td class="mdescLeft">&#160;</td><td class="mdescRight">Q format of the output x/y/z coordinates. <br /></td></tr>
<tr class="separator:a204c5754250d835894af0fba5d0ef504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a500a7b82a89018cb37947a19072c3e26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a500a7b82a89018cb37947a19072c3e26"></a>
<a class="el" href="data__path_8h.html#aca824704b6f68c4c3d39afe136796fcb">MmwDemo_timingInfo_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a500a7b82a89018cb37947a19072c3e26">timingInfo</a></td></tr>
<tr class="memdesc:a500a7b82a89018cb37947a19072c3e26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timing information. <br /></td></tr>
<tr class="separator:a500a7b82a89018cb37947a19072c3e26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8edfd2f7b3323759d83c0012f5014849"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8edfd2f7b3323759d83c0012f5014849"></a>
<a class="el" href="data__path_8h.html#a26bcd5b6059599bb33678d60bff66bb4">DataPath_mode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a8edfd2f7b3323759d83c0012f5014849">dataPathMode</a></td></tr>
<tr class="memdesc:a8edfd2f7b3323759d83c0012f5014849"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data path mode. <br /></td></tr>
<tr class="separator:a8edfd2f7b3323759d83c0012f5014849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b074ad839e156f2a45ce71234a48036"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b074ad839e156f2a45ce71234a48036"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a2b074ad839e156f2a45ce71234a48036">detObj2dAzimIdx</a> [MMW_MAX_OBJ_OUT]</td></tr>
<tr class="memdesc:a2b074ad839e156f2a45ce71234a48036"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected objects azimuth index for debugging. <br /></td></tr>
<tr class="separator:a2b074ad839e156f2a45ce71234a48036"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa75604acb7775849d75c207fff053bd0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa75604acb7775849d75c207fff053bd0"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#aa75604acb7775849d75c207fff053bd0">detObjElevationAngle</a> [MMW_MAX_ELEV_OBJ_DEBUG]</td></tr>
<tr class="memdesc:aa75604acb7775849d75c207fff053bd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected object elevation angle for debugging. <br /></td></tr>
<tr class="separator:aa75604acb7775849d75c207fff053bd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa73a367409613bec07b33354b4b8536f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa73a367409613bec07b33354b4b8536f"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#aa73a367409613bec07b33354b4b8536f">interFrameProcToken</a></td></tr>
<tr class="memdesc:aa73a367409613bec07b33354b4b8536f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for checking that inter frame processing finshed on time. <br /></td></tr>
<tr class="separator:aa73a367409613bec07b33354b4b8536f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc7a1bd1c2e18ef50a480c4bf2a3309"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fc7a1bd1c2e18ef50a480c4bf2a3309"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a1fc7a1bd1c2e18ef50a480c4bf2a3309">datapathStopped</a></td></tr>
<tr class="memdesc:a1fc7a1bd1c2e18ef50a480c4bf2a3309"><td class="mdescLeft">&#160;</td><td class="mdescRight">Datapath stopped flag. <br /></td></tr>
<tr class="separator:a1fc7a1bd1c2e18ef50a480c4bf2a3309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f97eba8474969b37e4bd8f684f0cef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77f97eba8474969b37e4bd8f684f0cef"></a>
cmplx32ImRe_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a77f97eba8474969b37e4bd8f684f0cef">dcRangeSigMean</a></td></tr>
<tr class="memdesc:a77f97eba8474969b37e4bd8f684f0cef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to DC range signature compensation buffer. <br /></td></tr>
<tr class="separator:a77f97eba8474969b37e4bd8f684f0cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21785bb3985238e46dcb23aaba1b583b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21785bb3985238e46dcb23aaba1b583b"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a21785bb3985238e46dcb23aaba1b583b">dcRangeSigCalibCntr</a></td></tr>
<tr class="memdesc:a21785bb3985238e46dcb23aaba1b583b"><td class="mdescLeft">&#160;</td><td class="mdescRight">DC range signature calibration counter. <br /></td></tr>
<tr class="separator:a21785bb3985238e46dcb23aaba1b583b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c0fd1f8e10ca63731fa28d3ecaf78b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c0fd1f8e10ca63731fa28d3ecaf78b4"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a0c0fd1f8e10ca63731fa28d3ecaf78b4">dcRangeForcedDisableCntr</a></td></tr>
<tr class="memdesc:a0c0fd1f8e10ca63731fa28d3ecaf78b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">DC range signature calibration forced disable counter. <br /></td></tr>
<tr class="separator:a0c0fd1f8e10ca63731fa28d3ecaf78b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add983ab099d7d4116a05b3f809dbfe89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add983ab099d7d4116a05b3f809dbfe89"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#add983ab099d7d4116a05b3f809dbfe89">log2NumAvgChirps</a></td></tr>
<tr class="memdesc:add983ab099d7d4116a05b3f809dbfe89"><td class="mdescLeft">&#160;</td><td class="mdescRight">log2 of number of averaged chirps <br /></td></tr>
<tr class="separator:add983ab099d7d4116a05b3f809dbfe89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78de58fbf5d7568b2a2cfbb4d2d41ecb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78de58fbf5d7568b2a2cfbb4d2d41ecb"></a>
<a class="el" href="data__path_8h.html#a5ee6b4e30d90218d02ff880f63da55cc">DataPath_chain2DFftSel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a78de58fbf5d7568b2a2cfbb4d2d41ecb">datapathChainSel</a></td></tr>
<tr class="memdesc:a78de58fbf5d7568b2a2cfbb4d2d41ecb"><td class="mdescLeft">&#160;</td><td class="mdescRight">data path chain selection <br /></td></tr>
<tr class="separator:a78de58fbf5d7568b2a2cfbb4d2d41ecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc17eaa6bd16bc89f1a71afc1f7f4ad5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc17eaa6bd16bc89f1a71afc1f7f4ad5"></a>
MmwDemo_compRxChannelBiasCfg_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#abc17eaa6bd16bc89f1a71afc1f7f4ad5">compRxChanCfg</a></td></tr>
<tr class="memdesc:abc17eaa6bd16bc89f1a71afc1f7f4ad5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx channel gain/phase offset compensation coefficients. <br /></td></tr>
<tr class="separator:abc17eaa6bd16bc89f1a71afc1f7f4ad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83adfa8bd0ee737831fb796bc341b26d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83adfa8bd0ee737831fb796bc341b26d"></a>
<a class="el" href="data__path_8h.html#ab1fa47a33abf2d0af6aa33264bc8e357">MmwDemo_dataPathCQ</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html#a83adfa8bd0ee737831fb796bc341b26d">datapathCQ</a></td></tr>
<tr class="memdesc:a83adfa8bd0ee737831fb796bc341b26d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx channel Chirp Quality config &amp; data. <br /></td></tr>
<tr class="separator:a83adfa8bd0ee737831fb796bc341b26d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Millimeter Wave Demo Data Path Information. </p>
<p>The structure is used to hold all the relevant information for the data path. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a7731fa5ec0f33bc0be36868ec7b8d8b3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MmwDemo_CliCfg_t* MmwDemo_DataPathObj_t::cliCfg</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to cliCfg </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/<a class="el" href="data__path_8h.html">data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
